System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.Xml.KeyInfoClause

The class represents the <X509Data> element that contains X.509v3 certificate information related to the validation or encryption key. For example, an <X509Data> element might contain an X.509 certificate whose subject public key is the validation key, or a chain of X.509 certificates that terminate in a certificate for the validating key, or other identifiers for related X.509 certificates.

Use the class whenever you need to include X.509 certificate data in an encrypted or signed XML document.

For more information about the <X509Data> element, see Section 4.4.4 of the XMLDSIG specification, which is available from the World Wide Web Consortium (W3C) at www.w3.org/TR/xmldsig-core/, or see the XML Encryption specification, which is available from the W3C at www.w3.org/TR/xmlenc-core/.

Represents an <X509Data> subelement of an XMLDSIG or XML Encryption <KeyInfo> element.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from the specified ASN.1 DER encoding of an X.509v3 certificate.

  The ASN.1 DER encoding of an object to initialize the new instance of from.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from the specified X.509v3 certificate.

  The object to initialize the new instance of from.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified X.509v3 certificate.

  The object to initialize the new instance of from.
  One of the values that specifies how much of the certificate chain to include.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the specified X.509v3 certificate to the .

  The object to add to the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For identification, each X.509v3 certificate carries the name of the certification authority that issued the certificate paired with a unique serial number assigned by the certification authority.

  The method adds information about an issuer name and serial number pair to a list of objects that are accessible through the property.

  Adds the specified issuer name and serial number pair to the object.

  The issuer name portion of the pair to add to the object. The serial number portion of the pair to add to the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Subject key identifiers (SKIs) are a way of identifying certificates that contain a certain public key.

  Adds the specified subject key identifier (SKI) byte array to the object.

  A byte array that represents the subject key identifier (SKI) to add to the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void ``

  Subject key identifiers (SKIs) are a shorthand way to identify certificates that contain a certain public key.

  Adds the specified subject key identifier (SKI) string to the object.

  A string that represents the subject key identifier (SKI) to add to the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the subject name of the entity that was issued an X.509v3 certificate to the object.

  The name of the entity that was issued an X.509 certificate to add to the object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList a To be added

  Gets a list of the X.509v3 certificates contained in the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] a To be added

  Gets or sets the Certificate Revocation List (CRL) contained within the object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  The object returned by this method is suitable for use as a subelement of an XMLDSIG or XML encryption <KeyInfo> element.

  Returns an XML representation of the object.

  An XML representation of the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList a

  The property represents the <X509IssuerSerial> element of an XML digital signature using a list of structures contained within. The <X509IssuerSerial> element represents an issuer name and serial number pair, which identify a specific X.509v3 certificate.

  The issuer of an X.509 certificate is the name of the certification authority that issued the certificate. Certification authorities assign each certificate they issue a unique serial number.

  You can add a name and serial number pair using the method.

  Gets a list of structures that represent an issuer name and serial number pair.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is typically used to process an <X509Data> subelement of a <KeyInfo> element.

  Parses the input object and configures the internal state of the object to match.

  The object that specifies the state of the object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList a

  Subject key identifiers (SKIs) are a way to identify certificates that contain a certain public key. An SKI can be used to identify one or more certificates issued to a particular subject key pair.

  Gets a list of the subject key identifiers (SKIs) contained in the object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList a

  Every X.509v3 certificate includes a subject name. This name can be used to identify one or more certificates.

  Gets a list of the subject names of the entities contained in the object.